## ykush-control 1.1.0%2Bds

=== debian/changelog ===
ykush-control (1.1.0+ds-1) unstable; urgency=medium

  * Initial release. Closes: #849842

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 13 Jan 2017 07:26:28 +0100

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=s/\+ds$//,compression=xz" \
    https://github.com/Yepkit/ykush/releases \
    /Yepkit/ykush/archive/v?([0-9.]+)\.zip

## ykush-control 1.1.0+ds

=== Makefile ===
CUR_PATH = $(shell echo $(PWD))
OBJS = $(addprefix ykushcmd/objs/,ykushcmd.o commandParser.o usbcom.o)
LIBS = -lhidapi-libusb -lusb-1.0 -ludev
LOADPATHS = -L$(CUR_PATH)/ykushcmd/linux
PREPROCESSOR_DEFS = -DLINUX
CPP = g++

ykushcmd : $(OBJS)
	$(CPP) $(LOADPATHS) -o bin/ykushcmd $(OBJS) $(LIBS)


ykushcmd/objs/ykushcmd.o : ykushcmd/ykushcmd.cpp ykushcmd/commandParser.h
	$(CPP) $(PREPROCESSOR_DEFS) -c ykushcmd/ykushcmd.cpp -o ykushcmd/objs/ykushcmd.o

ykushcmd/objs/commandParser.o : ykushcmd/commandParser.cpp ykushcmd/commandParser.h ykushcmd/usbcom.h 
	$(CPP) $(PREPROCESSOR_DEFS) -c ykushcmd/commandParser.cpp -o ykushcmd/objs/commandParser.o

ykushcmd/objs/usbcom.o : ykushcmd/usbcom.cpp ykushcmd/linux/hidapi.h ykushcmd/usbcom.h
	$(CPP) $(PREPROCESSOR_DEFS) -c ykushcmd/usbcom.cpp -o ykushcmd/objs/usbcom.o

clean :
	rm -f bin/ykushcmd $(OBJS)

=== debian/changelog ===
ykush-control (1.1.0+ds-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:04:24 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installman:
	pandoc --standalone --to man debian/ykushcmd.md -o debian/ykushcmd.1
	dh_installman

override_dh_auto_clean:
	dh_auto_clean
	-rm debian/ykushcmd.1

## ykush-control 1.2.5+ds

=== debian/changelog ===
ykush-control (1.2.5+ds-1) unstable; urgency=medium

  * New upstream version 1.2.5
  * Upstream's changed license to Apache-2.0 (was: MIT)

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 21 Dec 2020 21:36:09 +0100

=== debian/control ===
Source: ykush-control
Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Homepage: https://github.com/Yepkit/ykush
Standards-Version: 4.5.1
Vcs-Browser: https://git.in-ulm.de/cbiedl/ykush-control
Vcs-Git: https://git.in-ulm.de/cbiedl/ykush-control.git
Build-Depends: debhelper-compat (= 13),
    asciidoctor,
    libusb-1.0-0-dev,
Priority: optional
Rules-Requires-Root: no
Section: utils

Package: ykush-control
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: control application for Yepkit YKUSH Switchable USB Hub board
 The Yepkit USB Switchable Hub (YKUSH) boards allow the user to
 selectively switch ON and OFF each of the USB devices connected to the
 hub downstream ports. This package provides the ykushcmd program to
 control the switches of all connected boards.

=== debian/watch ===
version=4
opts="oversionmangle=s/$/+ds/ , \
    dversionmangle=auto" \
    https://github.com/Yepkit/ykush/releases \
        /Yepkit/ykush/archive/v?([0-9.]+)\.tar\.gz

## ykush-control 1.3.0%2Bds

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	-rm debian/ykushcmd.1

override_dh_installman:
	asciidoctor --attribute reproducible --backend=manpage debian/ykushcmd.1.adoc
	dh_installman

## ykush-control 1.3.0+ds

=== Makefile ===
PROG_SOURCE = yktrl.cpp
SOURCE += commandParser.cpp
SOURCE += ykushxs/ykushxs.cpp
SOURCE += ykush/ykush.cpp
SOURCE += ykush2/ykush2.cpp
SOURCE += ykush3/ykush3.cpp
SOURCE += yk_usb_device.cpp
SOURCE += help/ykush_help.cpp
SOURCE += utils/command_parser.cpp
SOURCE += utils/string2val.cpp
SOURCE += usbhid/usbhid.cpp


SOURCE_FULL = $(addprefix src/, $(SOURCE))
PROG_SOURCE_FULL = $(addprefix src/, $(PROG_SOURCE))
OBJS = $(SOURCE_FULL:.cpp=.o)
PROG_OBJ = $(PROG_SOURCE_FULL:.cpp=.o)

DEFINES += _LINUX_
DEFINES += _LIBUSB_

COMPILE_FLAGS += $(addprefix -D, $(DEFINES))

CUR_PATH = $(shell echo $(PWD))
INCLUDEPATHS = $(addprefix -I$(CUR_PATH)/, $(dir $(SOURCE_FULL)) libusb )
LOADPATHS = 
LIBS = -lusb-1.0
CPP = g++
 


ykushcmd : $(PROG_OBJ) $(OBJS)
	$(CPP) -o bin/$@ $(PROG_OBJ) $(OBJS) $(LIBS)

$(PROG_OBJ) :  %.o : %.cpp
	$(CPP) $(COMPILE_FLAGS) $(INCLUDEPATHS) -c $< -o $@

$(OBJS) : %.o : %.cpp %.h
	$(CPP) $(COMPILE_FLAGS) $(INCLUDEPATHS) -c $< -o $@


clean :
	rm -f bin/yktrl $(OBJS) $(PROG_OBJ)

=== debian/changelog ===
ykush-control (1.3.0+ds-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Properly clean up. Closes: #1047598

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 05 Sep 2023 19:51:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ykush-control
 Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: https://github.com/Yepkit/ykush
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://git.in-ulm.de/cbiedl/ykush-control
 Vcs-Git: https://git.in-ulm.de/cbiedl/ykush-control.git
 Build-Depends: debhelper-compat (= 13),

=== debian/watch ===
version=4
opts="searchmode=plain , \
    oversionmangle=s/$/+ds/ , \
    filenamemangle=s/$/.tar.gz/ , \
    dversionmangle=auto" \
    https://api.github.com/repos/Yepkit/ykush/tags \
        https://api.github.com/repos/Yepkit/ykush/tarball/refs/tags/v([0-9.]+)
